
#include <string>
#include <vector>

#include <string>
#include <iostream>

#include "neovision/window.h"

#include "application.h"


using namespace pubnix;
using namespace neovision;

int main(int argc, char* argv[]) 
{
    std::vector<std::string> args(argv + 1, argv + argc);
    pubnix::Application app(args);
    app.Initialize();
    auto mainWindow = std::make_unique<neovision::Window>();
    mainWindow->Position({10, 10});
    auto otherWindow = std::make_unique<neovision::Window>();
    otherWindow->Position({20, 20});
    app.Add(std::move(mainWindow));
    app.Add(std::move(otherWindow));
    app.Run();
    return 0;
}
