#.rst:
# FindNeovision

find_package(PkgConfig QUIET)
pkg_check_modules(PC_Neovision QUIET libneovision)

find_path(NEOVISION_INCLUDE_DIRS
    NAMES neovision/ansi.h
    HINTS ${PC_NEOVISION_INCLUDEDIR} ${PC_NEOVISION_INCLUDE_DIRS})

find_library(NEOVISION_LIBRARIES
    NAMES neovision
    HINTS ${NEOVISION_LIBDIR} ${NEOVISION_LIB_DIRS})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(neovision
    REQUIRED_VARS NEOVISION_LIBRARIES NEOVISION_INCLUDE_DIRS
    VERSION_VAR NEOVISION_VERSION)

